%define upstream_name    Dist-Zilla-Util-FileGenerator
%define upstream_version 0.120090

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Helper to generate files with little repetition in a PluginBundle
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::HasDefaults::RO)
BuildRequires: perl(Test::InDistDir)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(strictures)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE META.yml META.json README.PATCHING
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.120.90-3.mga4
+ Revision: 511263
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.90-2.mga3
+ Revision: 366735
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 07 2012 jquelin <jquelin> 0.120.90-1.mga2
+ Revision: 229539
- imported package perl-Dist-Zilla-Util-FileGenerator


* Sat Apr 07 2012 cpan2dist 0.120090-1mga
- initial mageia release, generated with cpan2dist
